### Method

# GtkSource View set_insert_spaces_instead_of_tabs

#### Declaration [src]

    void
    gtk_source_view_set_insert_spaces_instead_of_tabs (
      GtkSourceView* view,
      gboolean enable
    )

#### Description [src]

If `TRUE` a tab key pressed is replaced by a group of space characters.

Of course it is still possible to insert a real `\t` programmatically with the `GtkTextBuffer` API.

Sets property | `GtkSource.View:insert-spaces-instead-of-tabs`

#### Parameters

`enable`

  Type: `gboolean`

  Whether to insert spaces instead of tabs.